org.apache.http.cookie

## Class CookiePriorityComparator

- java.lang.Object
- - org.apache.http.cookie.CookiePriorityComparator

- All Implemented Interfaces:
    Comparator<Cookie>

      @Contract(threading=IMMUTABLE)
      public class CookiePriorityComparator
      extends Object
      implements Comparator<Cookie>

  This cookie comparator ensures that cookies with longer paths take precedence over cookies with shorter path. Among cookies with equal path length cookies with ealier creation time take precedence over cookies with later creation time
  Since:
    4.4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CookiePriorityComparator` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CookiePriorityComparator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(Cookie c1, Cookie c2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals`

- - ### Field Detail

    - #### INSTANCE

          public static final CookiePriorityComparator INSTANCE

  - ### Constructor Detail

    - #### CookiePriorityComparator

          public CookiePriorityComparator()

  - ### Method Detail

    - #### compare

          public int compare(Cookie c1,
                    Cookie c2)

      Specified by:
        `compare` in interface `Comparator<Cookie>`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.